import { ApplicationCommandData, BaseCommandInteraction, Client, CommandInteraction, Interaction, User } from "discord.js";
import { Command } from "src/Interactions/Command";
import { MessageContextMenu } from "src/Interactions/Message";
import { UserContextMenu } from "src/Interactions/User";

export async function handleCmd(client: Client, command: Command[]): Promise<void> {
    client.on('interactionCreate', async (interaction: Interaction) => {
        if(interaction.isCommand()) {
            await handleSlashCommand(client, interaction, command);
        }
    })
}

const handleSlashCommand = async (client: Client, interaction: CommandInteraction, commands: Command[]): Promise<void> => {
    const slashCommand = commands.find(c => c.name === interaction.commandName);

    slashCommand?.run(client, interaction);
}