import { ApplicationCommandData, BaseCommandInteraction, Client, CommandInteraction, Interaction, MessageContextMenuInteraction, User } from "discord.js";
import { Command } from "src/Interactions/Command";
import { MessageContextMenu } from "src/Interactions/Message";
import { UserContextMenu } from "src/Interactions/User";

export async function handleMsg(client: Client, command: MessageContextMenu[]): Promise<void> {
    client.on('interactionCreate', async (interaction: Interaction) => {
        if(interaction.isMessageContextMenu()) {
            await handleMessageContextMenu(client, interaction, command);
        }
    })
}

const handleMessageContextMenu = async (client: Client, interaction: MessageContextMenuInteraction, commands: MessageContextMenu[]): Promise<void> => {
    const MessageMenu = commands.find(c => c.name === interaction.commandName);

    MessageMenu?.run(client, interaction);
}