import { ApplicationCommandData, BaseCommandInteraction, Client, CommandInteraction, Interaction, User, UserContextMenuInteraction } from "discord.js";
import { Command } from "src/Interactions/Command";
import { MessageContextMenu } from "src/Interactions/Message";
import { UserContextMenu } from "src/Interactions/User";

export async function handleUser(client: Client, command: UserContextMenu[]): Promise<void> {
    client.on('interactionCreate', async (interaction: Interaction) => {
        if(interaction.isUserContextMenu()) {
            await handleUserContextMenu(client, interaction, command);
        }
    })
}

const handleUserContextMenu = async (client: Client, interaction: UserContextMenuInteraction, commands: UserContextMenu[]): Promise<void> => {
    const userContext = commands.find(c => c.name === interaction.commandName);

    userContext?.run(client, interaction);
}