import { RunOptions } from "./Command";
import { LocalizationMap } from "discord-api-types/v10";
import { Client, CommandInteraction, MessageApplicationCommandData, UserApplicationCommandData, UserContextMenuInteraction } from 'discord.js';
import { ApplicationCommandTypes } from "discord.js/typings/enums";

export type TUserContextMenu = {} & UserApplicationCommandData

export class UserContextMenu {
    name!: string;
    nameLocalizations?: LocalizationMap;
    defaultPermission?: boolean | undefined;
    type!: 'USER' | ApplicationCommandTypes.USER
    run!: (client: Client, interaction: UserContextMenuInteraction) => Promise<void>
    constructor(command: TUserContextMenu, runOptions: (client: Client, interaction: UserContextMenuInteraction) => Promise<void>) {
        this.name = command.name;
        this.nameLocalizations = command.nameLocalizations;
        this.defaultPermission = command.defaultPermission;
        this.type = command.type;
        this.run = runOptions
    }
}